# List Merchant Profiles

Retrieve a list of Merchant Profile resources.

Endpoint: GET /merchant_profiles
Version: 2022-02-01
Security: BasicAuth

## Header parameters:

  - `Finix-Version` (string)
    Specify the API version of your request. For more details, see Versioning.
    Example: "2022-02-01"

## Query parameters:

  - `after_cursor` (string)
    Return every resource created after the cursor value.

  - `before_cursor` (string)
    Return every resource created before the cursor value.

  - `created_at.gte` (string)
    Filter where created_at is after the given date.
    Example: "2022-09-27T11:21:23"

  - `created_at.lte` (string)
    Filter where created_at is before the given date.
    Example: "2026-09-27T11:21:23"

  - `id` (string)
    Filter by id.

  - `limit` (integer)
    The numbers of items to return.
    Example: 10

  - `tags.key` (string)
    Filter by the tag's key. For more information, see Tags.
    Example: "card_type"

  - `tags.value` (string)
    Filter by the tag's value. For more information, see Tags.
    Example: "business_card"

  - `updated_at.gte` (string)
    Filter where updated_at is after the given date.
    Example: "2022-09-27T11:21:23"

  - `updated_at.lte` (string)
    Filter where updated_at is before the given date.
    Example: "2026-09-27T11:21:23"

## Response 200 fields (application/json):

  - `page` (object)
    Details the page that's returned.

  - `page.limit` (integer)
    The number of entries to return.

  - `page.next_cursor` (string,null)
    The cursor to use for the next page of results.

  - `_embedded` (object)

  - `_embedded.merchant_profiles` (array)

  - `_embedded.merchant_profiles.id` (string)
    The ID of the resource.

  - `_embedded.merchant_profiles.created_at` (string)
    Timestamp of when the object was created.

  - `_embedded.merchant_profiles.updated_at` (string)
    Timestamp of when the object was last updated.

  - `_embedded.merchant_profiles.application` (string)
    ID of the Application the resource was created under.

  - `_embedded.merchant_profiles.card_present_fee_profile` (string,null)
    A [Fee Profile](/api/fee-profiles) ID to be used for card present transfers. If not set, the value in fee_profile applies to card present transfers.

  - `_embedded.merchant_profiles.fee_profile` (string,null)
    The ID of the [Fee Profile](/api/fee-profiles) to be used for the Merchant.

  - `_embedded.merchant_profiles.payout_profile` (string,null)
    The ID of the [Payout Profile](/api/payout-profiles) to be used for the Merchant.

  - `_embedded.merchant_profiles.risk_profile` (string,null)
    The ID of the Risk Profile to be used for the Merchant.

  - `_embedded.merchant_profiles.tags` (object,null)
    Include up to 50 key: value pairs to annotate requests with custom metadata.
- Maximum character length for individual keys is 40.
- Maximum character length for individual values is 500.
(For example, order_number: 25, item_type: produce, department: sales)

  - `_embedded.merchant_profiles._links` (object)
    For your convenience, every response includes several URLs which link to resources relevant to the request. You can use these _links to make your follow-up requests and quickly access relevant IDs.

  - `_embedded.merchant_profiles._links.application` (object)
    Link to the Application the request was made under.

  - `_embedded.merchant_profiles._links.application.href` (string)

  - `_embedded.merchant_profiles._links.fee_profile` (object)

  - `_embedded.merchant_profiles._links.fee_profile.href` (string)

  - `_embedded.merchant_profiles._links.owner_identity` (object)

  - `_embedded.merchant_profiles._links.owner_identity.href` (string)

  - `_embedded.merchant_profiles._links.processors` (object)

  - `_embedded.merchant_profiles._links.processors.href` (string)

  - `_embedded.merchant_profiles._links.reserve_profile` (object)

  - `_embedded.merchant_profiles._links.reserve_profile.href` (string)

  - `_embedded.merchant_profiles._links.risk_profile` (object)

  - `_embedded.merchant_profiles._links.risk_profile.href` (string)

  - `_embedded.merchant_profiles._links.self` (object)
    Link to the resource that was used in the request.

  - `_embedded.merchant_profiles._links.self.href` (string)

  - `_embedded.merchant_profiles._links.users` (object)

  - `_embedded.merchant_profiles._links.users.href` (string)

  - `_links` (object)

  - `_links.self` (object)
    Link to the resource that was used in the request.

  - `_links.self.href` (string)

  - `_links.next` (object)
    Link to the next page of entries.

  - `_links.next.href` (string)

## Response 401 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 403 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 406 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.


